<div class="row">
    <div class="col-xs-12">
        <form [formGroup]="formRecipe" (ngSubmit)="onSubmit()">
            <div class="row">
                <div class="col-xs-12">
                    <button
                            type="submit"
                            class="btn btn-success"
                            [disabled]="!formRecipe.valid"
                    >Save</button>
                    <button type="button" class="btn btn-danger" (click)="onCancel()">Cancel</button>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <div class="form-group">
                        <label for="name"> Name:</label>
                        <input
                                type="text"
                                class="form-control"
                                formControlName="name"
                        >
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <div class="form-group">
                        <label for="description"> Description:</label>
                        <textarea
                                rows="10"
                                class="form-control"
                                formControlName="description"
                        ></textarea>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <div class="form-group">
                        <label for="imagePath"> ImageUrl:</label>
                        <input
                                rows="10"
                                id="imagePath"
                                class="form-control"
                                formControlName="imagePath"
                        />
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <img [src]="formRecipe.get('imagePath').value" class="img-responsive" alt="">
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12" formArrayName="ingredients">
                    <div class="row"
                         *ngFor="let ingredientCtrl of getControls();let i = index"
                         [formGroupName]="i"
                         style="margin-bottom: 10px;"
                    >
                        <div class="col-xs-8">
                            <input
                                    type="text"
                                    class="form-control"
                                    formControlName="name"
                            >
                        </div>
                        <div class="col-xs-2">
                            <input
                                    type="number"
                                    class="form-control"
                                    formControlName="amount"
                            >
                        </div>
                        <div class="col-xs-2">
                            <button
                                    class="btn btn-danger"
                                    type="button"
                                    (click)="onDeleteIngredient(i)"
                            >X
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div class="row col-xs-12">
                <button class="btn btn-success" type="button" (click)="addNewIngredient()">Add New Ingredient</button>
            </div>
        </form>
    </div>
</div>